import numpy as np
from mayavi import mlab

t = np.linspace(0, 5 * np.pi, 100)
x = t * np.cos(t)
y = t * np.sin(t)
z = t
line = mlab.pipeline.line_source(x, y, z)
tube = mlab.pipeline.tube(line, tube_radius=1)
surf = mlab.pipeline.surface(tube)

mlab.show()
